- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::simplify::TaggedLineSegment Class Reference

A geom::LineSegment which is tagged with its location in a geom::Geometry. More...

`#include <TaggedLineSegment.h>`

Inheritance diagram for geos::simplify::TaggedLineSegment:

List of all members.

## Public Member Functions
| TaggedLineSegment (const geom::Coordinate &p0, const geom::Coordinate &p1, const geom::Geometry *parent, unsigned int index)
| TaggedLineSegment (const geom::Coordinate &p0, const geom::Coordinate &p1)
| TaggedLineSegment (const TaggedLineSegment &ls)
const geom::Geometry * | getParent () const
unsigned int | getIndex () const

## Detailed Description

A geom::LineSegment which is tagged with its location in a geom::Geometry.

Used to index the segments in a geometry and recover the segment locations from the index.

The documentation for this class was generated from the following file:

- TaggedLineSegment.h